## bz2dec bz2dec |

## Properties

guint | buffer-size | Read / Write
guint | first-buffer-size | Read / Write

## Types and Values

| GstBz2dec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBz2dec

## Description

## Synopsis

### Element Information

plugin | bz2
author | Lutz Mueller <lutz@users.sourceforge.net>
class | Codec/Decoder

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-bzip

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### GstBz2dec

    typedef struct _GstBz2dec GstBz2dec;

## Property Details

### The `“buffer-size”` property

      “buffer-size”              guint

Buffer size.

Flags: Read / Write

Allowed values: >= 1

Default value: 1024

### The `“first-buffer-size”` property

      “first-buffer-size”        guint

Size of first buffer (used to determine the mime type of the uncompressed data).

Flags: Read / Write

Allowed values: >= 1

Default value: 1024